<?php

declare(strict_types=1);

namespace App\Modules\LoanOrder\Policies;

use App\Modules\LoanOrder\Models\LoanOrderRequiredDocs;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class LoanOrderRequiredDocsPolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:LoanOrderRequiredDocs');
    }

    public function view(AuthUser $authUser, LoanOrderRequiredDocs $loanOrderRequiredDocs): bool
    {
        return $authUser->can('View:LoanOrderRequiredDocs');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:LoanOrderRequiredDocs');
    }

    public function update(AuthUser $authUser, LoanOrderRequiredDocs $loanOrderRequiredDocs): bool
    {
        return $authUser->can('Update:LoanOrderRequiredDocs');
    }

    public function delete(AuthUser $authUser, LoanOrderRequiredDocs $loanOrderRequiredDocs): bool
    {
        return $authUser->can('Delete:LoanOrderRequiredDocs');
    }

    public function restore(AuthUser $authUser, LoanOrderRequiredDocs $loanOrderRequiredDocs): bool
    {
        return $authUser->can('Restore:LoanOrderRequiredDocs');
    }

    public function forceDelete(AuthUser $authUser, LoanOrderRequiredDocs $loanOrderRequiredDocs): bool
    {
        return $authUser->can('ForceDelete:LoanOrderRequiredDocs');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:LoanOrderRequiredDocs');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:LoanOrderRequiredDocs');
    }

    public function replicate(AuthUser $authUser, LoanOrderRequiredDocs $loanOrderRequiredDocs): bool
    {
        return $authUser->can('Replicate:LoanOrderRequiredDocs');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:LoanOrderRequiredDocs');
    }
}
